
From: Adrian Bunk <bunk@stusta.de>

The patch below makes one struct and two functions static.

Additionally, print_efi_memmap is only required #if EFI_DEBUG.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/efi.c |    8 +++++---
 25-akpm/include/linux/efi.h    |    1 -
 2 files changed, 5 insertions(+), 4 deletions(-)

diff -puN arch/i386/kernel/efi.c~i386-efic-make-some-code-static arch/i386/kernel/efi.c
--- 25/arch/i386/kernel/efi.c~i386-efic-make-some-code-static	2005-01-23 14:47:37.164547296 -0800
+++ 25-akpm/arch/i386/kernel/efi.c	2005-01-23 14:47:37.169546536 -0800
@@ -47,7 +47,7 @@ extern efi_status_t asmlinkage efi_call_
 
 struct efi efi;
 EXPORT_SYMBOL(efi);
-struct efi efi_phys __initdata;
+static struct efi efi_phys __initdata;
 struct efi_memory_map memmap __initdata;
 
 /*
@@ -152,7 +152,7 @@ phys_efi_set_virtual_address_map(unsigne
 	return status;
 }
 
-efi_status_t
+static efi_status_t
 phys_efi_get_time(efi_time_t *tm, efi_time_cap_t *tc)
 {
 	efi_status_t status;
@@ -241,7 +241,8 @@ void __init efi_map_memmap(void)
 		printk(KERN_ERR PFX "Could not remap the EFI memmap!\n");
 }
 
-void __init print_efi_memmap(void)
+#if EFI_DEBUG
+static void __init print_efi_memmap(void)
 {
 	efi_memory_desc_t *md;
 	int i;
@@ -255,6 +256,7 @@ void __init print_efi_memmap(void)
 			(md->num_pages >> (20 - EFI_PAGE_SHIFT)));
 	}
 }
+#endif  /*  EFI_DEBUG  */
 
 /*
  * Walks the EFI memory map and calls CALLBACK once for each EFI
diff -puN include/linux/efi.h~i386-efic-make-some-code-static include/linux/efi.h
--- 25/include/linux/efi.h~i386-efic-make-some-code-static	2005-01-23 14:47:37.166546992 -0800
+++ 25-akpm/include/linux/efi.h	2005-01-23 14:47:37.169546536 -0800
@@ -300,7 +300,6 @@ extern u64 efi_mem_attributes (unsigned 
 extern int __init efi_uart_console_only (void);
 extern void efi_initialize_iomem_resources(struct resource *code_resource,
 					struct resource *data_resource);
-extern efi_status_t phys_efi_get_time(efi_time_t *tm, efi_time_cap_t *tc);
 extern unsigned long __init efi_get_time(void);
 extern int __init efi_set_rtc_mmss(unsigned long nowtime);
 extern struct efi_memory_map memmap;
_
